Bug 415731 - proftpd fails to rebuild
proftpd fails to rebuild
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: proftpd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 10:35 EST by Jesse Keating
Modified: 2013-01-09 21:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 10:56:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-12-07 10:35:40 EST
gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I../lib/libltdl
-I/usr/include/mysql -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -Wall -c pr_fnmatch.c
In file included from /usr/include/asm/sigcontext.h:4,
                 from /usr/include/bits/sigcontext.h:28,
                 from /usr/include/signal.h:333,
                 from /usr/include/sys/wait.h:31,
                 from ../include/conf.h:95,
                 from pr_fnmatch.c:38:
/usr/include/asm/types.h:6: error: conflicting types for 'mode_t'
/usr/include/sys/types.h:72: error: previous declaration of 'mode_t' was here
make[1]: *** [pr_fnmatch.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/proftpd-1.3.1/lib'
make: *** [lib] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.47359 (%build)

http://koji.fedoraproject.org/koji/getfile?taskID=281660&name=build.log
Comment 1 Jeroen van Meeuwen 2007-12-14 16:48:25 EST
For rawhide machines this causes them to not be able to update as proftpd
requires libssl.so.6. Uninstalling proftpd before updating however works.
Comment 2 Matthias Saou 2007-12-17 10:56:31 EST
I've rebuilt new packages using the patch Paul Howarth sent to the fedora-devel
list to fix this. They should be available in the next Rawhide push.
Comment 3 Sean Kerns 2008-03-26 21:06:25 EDT
echo \#define BUILD_STAMP \"`date`\" >include/buildstamp.h
cd lib/ && make lib
make[1]: Entering directory `/home/users/pringo/install/proftpd-1.3.1/lib'
gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include  -O2 -Wall -c pr_fnmatch.c
In file included from /usr/include/asm/sigcontext.h:4,
                 from /usr/include/bits/sigcontext.h:28,
                 from /usr/include/signal.h:333,
                 from /usr/include/sys/wait.h:31,
                 from ../include/conf.h:95,
                 from pr_fnmatch.c:38:
/usr/include/asm/types.h:6: error: conflicting types for âmode_tâ
/usr/include/sys/types.h:72: error: previous declaration of âmode_tâ was here
make[1]: *** [pr_fnmatch.o] Error 1
make[1]: Leaving directory `/home/users/pringo/install/proftpd-1.3.1/lib'
make: *** [lib] Error 2

Note You need to log in before you can comment on or make changes to this bug.